import SelectPage from '../pages/SelectPage'
import SubmitForm from '../pages/SubmitForm'
import DiagnosisC from '../pages/counseling/DiagnosisC'
import TalkingC from '../pages/counseling/TalkingC'
import Diagnosis from '../pages/measurement/Diagnosis'
import Result from '../pages/measurement/Result'
import Starting from '../pages/measurement/Starting'
import Talking from '../pages/measurement/Talking'
import Catharsis from '../pages/counseling/Catharsis'
import Solve from '../pages/counseling/Solve'
import Transform from '../pages/counseling/Transform'

const routes = [
  {
    path: '/',
    element: <SelectPage />
  },
  
  {
    path: '/submit/:type',
    element: <SubmitForm />
  },
  {
    path: '/talking_m',
    element: <Talking />
  },
  {
    path: '/diagnosis_m',
    element: <Diagnosis />
  },
  {
    path: '/result_m',
    element: <Result />
  },
  {
    path: '/starting_m',
    element: <Starting />
  },
  {
    path: '/talking_c',
    element: <TalkingC />
  },
  {
    path: '/diagnosis_c',
    element: <DiagnosisC />
  },
  {
    path: '/catharsis_c',
    element: <Catharsis />
  },
  {
    path: '/solve_c',
    element: <Solve />
  },
  {
    path: '/transform_c',
    element: <Transform />
  }
]

export default routes